Subject: Re: [PATCH net-next v2 2/3] net: ethtool: Add impedance mismatch result code to cable test

From: Jakub Kicinski <[email-masked]>
Date: Fri, 29 Mar 2024 08:10:58 -0700

On Fri, 29 Mar 2024 10:31:10 +0100 Paweł Dembicki wrote:
> > I'm not a cable expert but going purely by the language
> > abnormal != mismatch. Mismatch indicates there are two
> > values we are comparing.  
> 
> Impedance mismatch can be detected because some parts of the cable may
> have different (abnormal) impedance, causing reflections at those
> points. Ethernet cables should have a characteristic impedance of 100
> Ohms, so any mismatch from this value is considered abnormal.

I see, makes sense.

> I can provide a rephrased version if the commit description was not
> detailed enough.

That'd be great. Or maybe even better a short comment above the enum
entry?